Show / Hide Table of Contents

# Class ChatHandlers

Chat events and public helper functions.

##### Inheritance

System.Object
ChatHandlers

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game

###### Assembly: Dalamud.dll

##### Syntax

    public class ChatHandlers

### Properties

| Improve this Doc View Source

#### LastLink

Gets the last URL seen in chat.

##### Declaration

    public string LastLink { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### MakeItalics(TextPayload)

Convert a TextPayload to SeString and wrap in italics payloads.

##### Declaration

    public static SeString MakeItalics(TextPayload text)

##### Parameters

Type | Name | Description
--- | --- | ---
TextPayload | text | Text to convert.

##### Returns

Type | Description
--- | ---
SeString | SeString payload of italicized text.

| Improve this Doc View Source

#### MakeItalics(String)

Convert a TextPayload to SeString and wrap in italics payloads.

##### Declaration

    public static SeString MakeItalics(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | Text to convert.

##### Returns

Type | Description
--- | ---
SeString | SeString payload of italicized text.